[VOTE] Start using proper version in branches

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

[VOTE] Start using proper version in branches

vmassol
Administrator
Hi devs,

I'd like to propose that we start using proper version names in branches.

For example right now on the stable-4.4.x branch we have 4.4-SNAPSHOT as the version for all modules.

This is not fully correct and it would be better to use 4.4.1-SNAPSHOT (ie the version leading to 4.4.1).

As a side effect, doing this will also allow us to check the "Remove if released" option when cleaning snapshots on our Nexus.

Here's my +1 to start doing this immediately and I'm volunteering to do the rename in the 4.4.x branch.

Thanks
-Vincent

_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Start using proper version in branches

Marius Dumitru Florea
+1

Thanks,
Marius

On Mon, Jan 21, 2013 at 1:13 PM, Vincent Massol <[hidden email]> wrote:

> Hi devs,
>
> I'd like to propose that we start using proper version names in branches.
>
> For example right now on the stable-4.4.x branch we have 4.4-SNAPSHOT as the version for all modules.
>
> This is not fully correct and it would be better to use 4.4.1-SNAPSHOT (ie the version leading to 4.4.1).
>
> As a side effect, doing this will also allow us to check the "Remove if released" option when cleaning snapshots on our Nexus.
>
> Here's my +1 to start doing this immediately and I'm volunteering to do the rename in the 4.4.x branch.
>
> Thanks
> -Vincent
>
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Start using proper version in branches

Jean-Vincent Drean
In reply to this post by vmassol
+1

On Mon, Jan 21, 2013 at 12:13 PM, Vincent Massol <[hidden email]> wrote:

> Hi devs,
>
> I'd like to propose that we start using proper version names in branches.
>
> For example right now on the stable-4.4.x branch we have 4.4-SNAPSHOT as the version for all modules.
>
> This is not fully correct and it would be better to use 4.4.1-SNAPSHOT (ie the version leading to 4.4.1).
>
> As a side effect, doing this will also allow us to check the "Remove if released" option when cleaning snapshots on our Nexus.
>
> Here's my +1 to start doing this immediately and I'm volunteering to do the rename in the 4.4.x branch.
>
> Thanks
> -Vincent
>
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs



--
Jean-Vincent Drean,
XWiki.
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Start using proper version in branches

Thomas Mortagne
Administrator
In reply to this post by vmassol
+1

It's also nicer for EM which will properly order a SNAPSHOT more
recent than than a released version for example.

On Mon, Jan 21, 2013 at 12:13 PM, Vincent Massol <[hidden email]> wrote:

> Hi devs,
>
> I'd like to propose that we start using proper version names in branches.
>
> For example right now on the stable-4.4.x branch we have 4.4-SNAPSHOT as the version for all modules.
>
> This is not fully correct and it would be better to use 4.4.1-SNAPSHOT (ie the version leading to 4.4.1).
>
> As a side effect, doing this will also allow us to check the "Remove if released" option when cleaning snapshots on our Nexus.
>
> Here's my +1 to start doing this immediately and I'm volunteering to do the rename in the 4.4.x branch.
>
> Thanks
> -Vincent
>
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs



--
Thomas Mortagne
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Start using proper version in branches

Denis Gervalle-2
In reply to this post by Marius Dumitru Florea
+1


On Mon, Jan 21, 2013 at 12:15 PM, Marius Dumitru Florea <
[hidden email]> wrote:

> +1
>
> Thanks,
> Marius
>
> On Mon, Jan 21, 2013 at 1:13 PM, Vincent Massol <[hidden email]>
> wrote:
> > Hi devs,
> >
> > I'd like to propose that we start using proper version names in branches.
> >
> > For example right now on the stable-4.4.x branch we have 4.4-SNAPSHOT as
> the version for all modules.
> >
> > This is not fully correct and it would be better to use 4.4.1-SNAPSHOT
> (ie the version leading to 4.4.1).
> >
> > As a side effect, doing this will also allow us to check the "Remove if
> released" option when cleaning snapshots on our Nexus.
> >
> > Here's my +1 to start doing this immediately and I'm volunteering to do
> the rename in the 4.4.x branch.
> >
> > Thanks
> > -Vincent
> >
> > _______________________________________________
> > devs mailing list
> > [hidden email]
> > http://lists.xwiki.org/mailman/listinfo/devs
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs
>



--
Denis Gervalle
SOFTEC sa - CEO
eGuilde sarl - CTO
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs
Reply | Threaded
Open this post in threaded view
|

Re: [VOTE] Start using proper version in branches

Eduard Moraru
+1

Thanks,
Eduard


On Mon, Jan 21, 2013 at 2:42 PM, Denis Gervalle <[hidden email]> wrote:

> +1
>
>
> On Mon, Jan 21, 2013 at 12:15 PM, Marius Dumitru Florea <
> [hidden email]> wrote:
>
> > +1
> >
> > Thanks,
> > Marius
> >
> > On Mon, Jan 21, 2013 at 1:13 PM, Vincent Massol <[hidden email]>
> > wrote:
> > > Hi devs,
> > >
> > > I'd like to propose that we start using proper version names in
> branches.
> > >
> > > For example right now on the stable-4.4.x branch we have 4.4-SNAPSHOT
> as
> > the version for all modules.
> > >
> > > This is not fully correct and it would be better to use 4.4.1-SNAPSHOT
> > (ie the version leading to 4.4.1).
> > >
> > > As a side effect, doing this will also allow us to check the "Remove if
> > released" option when cleaning snapshots on our Nexus.
> > >
> > > Here's my +1 to start doing this immediately and I'm volunteering to do
> > the rename in the 4.4.x branch.
> > >
> > > Thanks
> > > -Vincent
> > >
> > > _______________________________________________
> > > devs mailing list
> > > [hidden email]
> > > http://lists.xwiki.org/mailman/listinfo/devs
> > _______________________________________________
> > devs mailing list
> > [hidden email]
> > http://lists.xwiki.org/mailman/listinfo/devs
> >
>
>
>
> --
> Denis Gervalle
> SOFTEC sa - CEO
> eGuilde sarl - CTO
> _______________________________________________
> devs mailing list
> [hidden email]
> http://lists.xwiki.org/mailman/listinfo/devs
>
_______________________________________________
devs mailing list
[hidden email]
http://lists.xwiki.org/mailman/listinfo/devs